{% extends 'base.html' %}

{% block content %}
{% if request.session.peran == 'dokter' %}
<div class="container">
    <div class="row"></div>
    <div class="row align-items-center">
        <div class="col"></div>
        <div class="col-6">
            <form method="POST" class="" action="{% url 'appointment:update' %}">
                {% csrf_token %}
                <figure class="text-center">
                    <h3>Siruco - Update Appointment</h3>
                </figure>

                {% for jadwal in memeriksa %}
                <div class="mb-3">
                    <label for="nik" class"form-label">NIK</label>
                    <input type="text" class="form-control" name="nik" id="username" value="{{ jadwal.0 }}" readonly></input>
                </div>

                <div class="mb-3">
                    <label for="username" class"form-label">Username Dokter</label>
                    <input type="text" class="form-control" name="username" id="username" value="{{ jadwal.2}}" readonly></input>
                </div>

                <div class="mb-3">
                    <label for="shift" class"form-label">Shift Praktek</label>
                    <input type="text" class="form-control" name="shift" id="shift" value="{{ jadwal.4 }}" readonly></input>
                </div>

                <div class="mb-3">
                    <label for="tanggal" class"form-label">Tanggal Praktek</label>
                    <input type="text" class="form-control" name="tanggal" id="tanggal" value="{{ jadwal.5 }}" readonly></input>
                </div>

                <div class="mb-3">
                    <label for="faskes" class"form-label">Faskes</label>
                    <input type="text" class="form-control" name="faskes" id="faskes" value="{{ jadwal.3}}" readonly></input>
                </div>

                <div class="mb-3">
                    <label for="rekomendasi" class"form-label">Rekomendasi</label>
                    <input type="text" class="form-control" name="rekomendasi" id="rekomendasi" value="{{ jadwal.6 }}" placeholder="Rekomendasi" 
                    oninvalid="this.setCustomValidity('Data yang diisikan belum lengkap, silahkan lengkapi data terlebih dahulu')" oninput="this.setCustomValidity('')" required></input>
                </div>

                <div class="mb-3">
                    <input type="hidden" class="form-control" name="nostr" id="nostr" value="{{ jadwal.1 }}" readonly></input>
                </div>
                {% endfor %}

                <figure class="text-center">
                    {% for message in messages %}
                    {{ message }}
                    <br>
                    {% endfor %}

                    <button type="submit" class="btn btn-outline-success">Simpan</button>
                </figure>
            </form>
        </div>
        <div class="col"></div>
    </div>
</div>
{% endif %}
{% endblock content %}